Unregister a credit card

This Tango endpoint allows you to remove a previously registered credit card from your Tango account, ensuring it can no longer be used to fund transactions. This is typically done when a card expires, is replaced, or should no longer have access for funding. Once unregistered, the card cannot be used again unless it is re‑registered. See how you can Register a new credit card with Tango API.

In some rare instances, Tango may choose to unregister credit cards at its own discretion. If this occurs Tango will make a best effort to notify the business contact on the account.


Use case

Acme Health uses this Tango's endpoint to securely remove outdated or unauthorized payment cards from its funding workflow, ensuring that only approved cards can be used to finance patient incentive programs.

Acme submits the required customer, account, and credit‑card token fields through POST /creditCardUnregisters, Acme Health can immediately revoke a card’s ability to fund rewards, prevent accidental use of expired or compromised cards, and maintain strong financial controls while continuing to deliver dependable wellness and clinical‑study incentives to patients.

Endpoint

To unregister a credit card on your account, use the following endpoint:

EndpointDescription
POST {URI}/creditCardUnregistersunregister a credit card.

Parameters

You must include the following parameters with this endpoint to unregister a credit card so Tango can precisely identify which card to remove and ensure the request is valid and authorized:

Body ParamsData typeRequirementDescription
customerIdentifierstringrequiredSpecify the customer associated with the credit card. It must be the customer the accountIdentifier is associated with. The string must have 5-100 characters.
accountIdentifierstringrequiredSpecify the account this credit card is associated with.
creditCardTokenstringrequiredSpecify the credit card token to unregister. The string must have 40 characters. This token is especially important for enforcing access restrictions, because it uniquely identifies the stored card.

Examples

Here's a payload example:

{
  "token": "string",
  "message": "string",
  "createdDate": "2025-02-04T01:42:51.326Z"
}

Here's an example payload for when you receive an error:

{
  "timestamp": "2025-02-21T23:23:13.930Z",
  "requestId": "string",
  "path": "string",
  "httpCode": 0,
  "httpPhrase": "string",
  "i18nKey": "string",
  "message": "The error message will show here for error codes ",
  "errors": [
    {}
  ]
}

Response codes

The possible response codes for this endpoint are as follows. For details, see i18nkey codes and their error messages:

Response codeMeaning
200The request was successful.
400The server could not understand the request due to invalid syntax.
401Authentication is required and has either not been provided or failed.
403The server understood the request but refuses to authorize it.
404The server could not find the requested resource. In other words, the URL you’re trying to access doesn’t point to anything that exists on the server.
500Something went wrong on the server, but the server cannot be more specific about what the exact problem is.
503The server is currently unable to handle the request due to temporary overload or maintenance.


© 2026 Tango API are provided by Tango, a division of BHN, Inc.